# Project Brief: Web Application

## Project Overview
A client-side React application for Merchant owners to manage menus, track orders, and handle operations.

App is a browser-only React SPA that lets local businesses create, edit, and audit their own merchant records on Local—a community-commerce network running on the peer-to-peer FogBox stack. Its mission is to decentralize ownership of commercial data and return technological control to merchants and their customers. Data is written locally first, then synchronised through FogBox nodes—no central server—ensuring autonomy and resilience. Open, well-documented APIs let any citizen-developer extend, fork, or integrate the codebase without gatekeepers.

## Core Features

### Menu Management
- Create and edit menu items (name, price, description, image)
- Configure options (size, dough type) and additions/toppings
- Set availability times

### Order Management
- View active orders
- Track order status
- Process fulfillment

### Merchant Operations
- Dashboard with key metrics
- Seller management
- Security controls

## UI Design
- Dark-themed interface
- Sidebar navigation
- Responsive layout
- Intuitive forms

## Technical Approach
- React with TypeScript
- Effector for state management
- Tailwind CSS for styling
- Component-based architecture
