import React from "react";
import { useAuth } from "../view-model";
import Button from "@shared/ui/Button";

export const LogoutButton: React.FC<{ className?: string }> = ({
  className = "",
}) => {
  const { isAuthenticated, logout } = useAuth();

  if (!isAuthenticated) {
    return null;
  }

  return (
    <Button className={className} variant="outline" onClick={() => logout()}>
      Log Out
    </Button>
  );
};
