/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { calculatedProductDto } from "./calculatedProductDto";
import type { productUnavailableDto } from "./productUnavailableDto";
/**
 * Represents a calculated checkout with comprehensive pricing information for all items, including taxes, discounts, and delivery fees.
 */
export type calculatedCheckoutDto = {
  /**
   * Must be set if the basket is to be considered valid.
   */
  isValid?: boolean;
  /**
   * Gets or sets the collection of calculated products in this checkout.
   */
  items?: Array<calculatedProductDto> | null;
  /**
   * Gets or sets the subtotal of all items before applying discounts.
   */
  itemSubTotal?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Gets or sets the subtotal of all items with any discounts applied.
   */
  itemDiscountedSubTotal?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Gets or sets the tax amount applied to this checkout, if any.
   */
  tax?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Gets or sets the community contribution amount, if any.
   */
  communityChange?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * The user selected to enable community change.
   */
  communityChangeIncluded?: boolean;
  /**
   * Returns the value of any discount applied at the order level.
   */
  discount?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Returns the delivery fee, if any.
   */
  delivery?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Gets or sets additional charges or fees associated with this checkout.
   */
  extras?: Record<
    string,
    {
      /**
       * Currency code ISO 4217
       */
      currency?: string;
      value?: number;
    }
  > | null;
  /**
   * Gets or sets the final total price of this checkout after all calculations.
   */
  final?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Gets the collection of all active promotion IDs applied to this checkout.
   */
  readonly activePromotionIds?: Array<string> | null;
  /**
   * Gets or sets the list of unavailable products related to this checkout.
   */
  unavailableProducts?: Array<productUnavailableDto> | null;
  /**
   * When doing cash payments, this is the first hint for the amount of cash the customer has prepared for the order.
   */
  cashChangeHint1?: number | null;
  /**
   * When doing cash payments, this is the second hint for the amount of cash the customer has prepared for the order.
   */
  cashChangeHint2?: number | null;
};
