/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { addressDto } from "./addressDto";
import type { gpsLocationDto } from "./gpsLocationDto";
import type { imageReferenceDto } from "./imageReferenceDto";
import type { localizedTextDto } from "./localizedTextDto";
import type { scheduleDto } from "./scheduleDto";
import type { simpleContactDto } from "./simpleContactDto";
/**
 * Represents a restaurant with seller details and associated tags.
 */
export type restaurantRevisionDto = {
  /**
   * Version number of the document.
   */
  documentVersion?: number;
  schedule?: scheduleDto;
  address?: addressDto;
  contactInfo?: simpleContactDto;
  location?: gpsLocationDto;
  /**
   * A key value collection for storing additional information
   */
  additional?: Record<string, any> | null;
  /**
   * A list of image references.
   */
  images?: Array<imageReferenceDto> | null;
  /**
   * Optional minimum order amount required by the restaurant.
   */
  minimumOrder?: {
    /**
     * Currency code ISO 4217
     */
    currency?: string;
    value?: number;
  } | null;
  /**
   * Tags associated with the restaurant.
   */
  tags?: Array<string> | null;
  /**
   * Unique identifier of the restaurant (local to this system).
   */
  revisionId?: string;
  /**
   * The document id for this revision.
   */
  sellerId?: string;
  title?: localizedTextDto;
  description?: localizedTextDto;
  tagLine?: localizedTextDto;
  /**
   * The user who created this revision.
   */
  creatorId?: string;
  /**
   * UTC timestamp when the seller was created.
   */
  utcCreated?: string;
  /**
   * Flag indicating whether the seller is published and visible to the public.
   */
  isPublished?: boolean;
  /**
   * UTC timestamp when the seller was published.
   */
  utcPublished?: string | null;
  /**
   * Unique identifier of the user who published the seller.
   */
  publisherId?: string | null;
};
