/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { verifiedValueDto } from "./verifiedValueDto";
/**
 * Represents a user data transfer object (DTO) containing user details and associated metadata.
 */
export type userDto = {
  /**
   * Gets or sets the unique identifier for the user.
   */
  id?: string;
  /**
   * Gets or sets the remote identifier for the user, typically used for external references.
   */
  remoteId?: string | null;
  /**
   * Gets or sets the user's name.
   */
  name?: string | null;
  /**
   * Gets or sets the URL of the user's avatar image.
   */
  avatarUrl?: string | null;
  /**
   * Gets or sets the public key associated with the user, if applicable.
   */
  publicKey?: string | null;
  email?: verifiedValueDto;
  phoneNumber?: verifiedValueDto;
  /**
   * Gets or sets the set of roles assigned to the user.
   * Roles are generally set by the authority server.
   */
  roles?: Array<string> | null;
  /**
   * Gets or sets a value indicating whether the user has been verified.
   */
  isVerified?: boolean;
  /**
   * Gets or sets the Url of the authority that manages the user, if applicable.
   */
  authorityUrl?: string | null;
  /**
   * Gets or sets the UTC date and time when the user information was last updated.
   */
  utcUpdated?: string;
  /**
   * Gets or sets a dictionary for storing additional key-value pairs related to the user.
   */
  extraKeys?: Record<string, any> | null;
};
