/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { categoryDto } from "../models/categoryDto";
import type { categoryQueryRequestDto } from "../models/categoryQueryRequestDto";
import type { categoryStopListDto } from "../models/categoryStopListDto";
import type { createCategoryDto } from "../models/createCategoryDto";
import type { QueryResultDto_CategoryDto_ } from "../models/QueryResultDto_CategoryDto_";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class CategoriesCanonicalService {
  /**
   * Create a canonical category entry.
   * @returns categoryDto OK
   * @throws ApiError
   */
  public static postApiCategoryCanonical({
    requestBody,
  }: {
    requestBody: createCategoryDto;
  }): CancelablePromise<categoryDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/category/canonical",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Retrieve a canonical category entry.
   * @returns categoryDto OK
   * @throws ApiError
   */
  public static getApiCategoryCanonical({
    categoryId,
  }: {
    categoryId: string;
  }): CancelablePromise<categoryDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/category/canonical/{categoryId}",
      path: {
        categoryId: categoryId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Update a canonical category entry.
   * @returns any OK
   * @throws ApiError
   */
  public static putApiCategoryCanonical({
    categoryId,
    requestBody,
  }: {
    categoryId: string;
    requestBody: createCategoryDto;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/category/canonical/{categoryId}",
      path: {
        categoryId: categoryId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Delete a canonical category entry.
   * @returns any OK
   * @throws ApiError
   */
  public static deleteApiCategoryCanonical({
    categoryId,
  }: {
    categoryId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "DELETE",
      url: "/api/category/canonical/{categoryId}",
      path: {
        categoryId: categoryId,
      },
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Query canonical category data filtered by options.
   * @returns QueryResultDto_CategoryDto_ OK
   * @throws ApiError
   */
  public static postApiCategoryCanonicalQuery({
    requestBody,
  }: {
    requestBody: categoryQueryRequestDto;
  }): CancelablePromise<QueryResultDto_CategoryDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/category/canonical/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Adds multiple categories to the 'stop list'.
   * Items on the 'stop list' are not available for purchase.
   * @returns any OK
   * @throws ApiError
   */
  public static postApiCategoryCanonicalStopList({
    requestBody,
  }: {
    requestBody: categoryStopListDto;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/category/canonical/stop-list",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Removes multiple categories from the 'stop list'.
   * @returns any OK
   * @throws ApiError
   */
  public static deleteApiCategoryCanonicalStopList({
    requestBody,
  }: {
    requestBody: categoryStopListDto;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "DELETE",
      url: "/api/category/canonical/stop-list",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Gets the list of stopped category ids for a specific seller.
   * @returns string OK
   * @throws ApiError
   */
  public static getApiCategoryCanonicalStopList({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<Array<string>> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/category/canonical/stop-list/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
