/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { priceEstimationDto } from "../models/priceEstimationDto";
import type { priceEstimationRequestDto } from "../models/priceEstimationRequestDto";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class DeliveriesService {
  /**
   * Create a guest delivery link.
   * This endpoint will create a guest delivery link for supplied order on the DSP-o application.
   * The link is usually converted to a QR code and scanned in by the prospective driver.
   * The 'link-code' contained in the url allows that driver to accept an order as a 'guest courier'
   * @returns string OK
   * @throws ApiError
   */
  public static getApiDeliveryCourierGuestLink({
    orderId,
  }: {
    orderId: string;
  }): CancelablePromise<string> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/delivery/courier-guest/link/{orderId}",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get price estimations for delivery.
   * This endpoint returns price estimations for a delivery based on the provided locations and scheduled time.
   * It requires at least two locations (pickup and delivery) to calculate the price.
   * @returns priceEstimationDto OK
   * @throws ApiError
   */
  public static postApiDeliveryPriceEstimation({
    requestBody,
  }: {
    requestBody: priceEstimationRequestDto;
  }): CancelablePromise<Array<priceEstimationDto>> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/delivery/price-estimation",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Get driver link for an order.
   * This endpoint returns a driver link for the specified order. The link can be used by a driver to accept the order.
   * @returns string OK
   * @throws ApiError
   */
  public static getApiDeliveryDriverLink({
    orderId,
  }: {
    orderId: string;
  }): CancelablePromise<string> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/delivery/driver-link/{orderId}",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
        500: `Internal Server Error`,
      },
    });
  }
}
