/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { oidcConnectResponseDto } from "../models/oidcConnectResponseDto";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class OidcService {
  /**
   * Returns OIDC information
   * Returns OIDC information for the standard OIDC application client, this information is used to enable clients to connect to the correct OIDC endpoint.
   * @returns oidcConnectResponseDto OK
   * @throws ApiError
   */
  public static getOidcJson(): CancelablePromise<oidcConnectResponseDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/oidc.json",
    });
  }
  /**
   * Returns OIDC information by application type
   * Returns OIDC information for the given application client type, this information is used to enable clients to connect to the correct OIDC endpoint.
   * @returns oidcConnectResponseDto OK
   * @throws ApiError
   */
  public static getOidcJson1({
    appType,
  }: {
    /**
     * Application type (eg: "native" would be native mobile apps).
     */
    appType: string;
  }): CancelablePromise<oidcConnectResponseDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/oidc-{appType}.json",
      path: {
        appType: appType,
      },
    });
  }
}
