/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { orderCreateDto } from "../models/orderCreateDto";
import type { orderDto } from "../models/orderDto";
import type { orderFailureRequestDto } from "../models/orderFailureRequestDto";
import type { orderNextStatusDto } from "../models/orderNextStatusDto";
import type { orderQueryRequestDto } from "../models/orderQueryRequestDto";
import type { orderStateChangeRequestDto } from "../models/orderStateChangeRequestDto";
import type { orderStateDto } from "../models/orderStateDto";
import type { orderViewDto } from "../models/orderViewDto";
import type { QueryResultDto_OrderViewDto_ } from "../models/QueryResultDto_OrderViewDto_";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class OrdersService {
  /**
   * Retrieves a single order by its ID.
   * @returns orderViewDto OK
   * @throws ApiError
   */
  public static getApiOrder({
    orderId,
  }: {
    /**
     * The order id
     */
    orderId: string;
  }): CancelablePromise<orderViewDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/order/{orderId}",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Query the system's orders.
   * @returns QueryResultDto_OrderViewDto_ OK
   * @throws ApiError
   */
  public static postApiOrderQuery({
    requestBody,
  }: {
    /**
     * A dto containing the optional filters
     */
    requestBody: orderQueryRequestDto;
  }): CancelablePromise<QueryResultDto_OrderViewDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/order/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * @deprecated
   * Change order state, and update estimated ready time.
   * @returns orderStateDto OK
   * @throws ApiError
   */
  public static putApiOrderState({
    requestBody,
  }: {
    /**
     * The requested change document
     */
    requestBody: orderStateChangeRequestDto;
  }): CancelablePromise<orderStateDto> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/order/state",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Get the current state of an order.
   * @returns orderStateDto OK
   * @throws ApiError
   */
  public static getApiOrderState({
    orderId,
  }: {
    /**
     * The order id
     */
    orderId: string;
  }): CancelablePromise<orderStateDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/order/state/{orderId}",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Return UmlDotGraph for current implementation of order state machine.
   * @returns string OK
   * @throws ApiError
   */
  public static getApiOrderStateMachine(): CancelablePromise<string> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/order/state-machine",
    });
  }
  /**
   * Gets the next state of an order.
   * @returns orderStateDto OK
   * @throws ApiError
   */
  public static postApiOrderNextState({
    orderId,
    requestBody,
  }: {
    /**
     * The specified order id
     */
    orderId: string;
    /**
     * The current state of the order
     */
    requestBody: orderNextStatusDto;
  }): CancelablePromise<orderStateDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/order/{orderId}/next-state",
      path: {
        orderId: orderId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Cancel the specified order.
   * @returns void
   * @throws ApiError
   */
  public static postApiOrderCancel({
    orderId,
  }: {
    /**
     * The specified order id
     */
    orderId: string;
  }): CancelablePromise<void> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/order/{orderId}/cancel",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Create an order.
   * @returns orderDto OK
   * @throws ApiError
   */
  public static postApiOrder({
    requestBody,
  }: {
    requestBody: orderCreateDto;
  }): CancelablePromise<orderDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/order",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Cancel/reject an order with a specific failure reason.
   * @returns orderStateDto OK
   * @throws ApiError
   */
  public static postApiOrderCancellation({
    requestBody,
  }: {
    /**
     * The order failure request containing orderId and failure reason
     */
    requestBody: orderFailureRequestDto;
  }): CancelablePromise<orderStateDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/order/cancellation",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
