/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createOptionsRevisionDto } from "../models/createOptionsRevisionDto";
import type { optionsQueryDto } from "../models/optionsQueryDto";
import type { optionsRevisionDto } from "../models/optionsRevisionDto";
import type { optionsViewDto } from "../models/optionsViewDto";
import type { QueryResultDto_OptionsRevisionDto_ } from "../models/QueryResultDto_OptionsRevisionDto_";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class ProductOptionsRevisionsService {
  /**
   * Creates a revision of a product option set document.
   * @returns optionsRevisionDto OK
   * @throws ApiError
   */
  public static postApiProductOptionsRevision({
    optionsId,
    requestBody,
  }: {
    optionsId: string;
    requestBody: createOptionsRevisionDto;
  }): CancelablePromise<optionsRevisionDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/product/options/revision/{optionsId}",
      path: {
        optionsId: optionsId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Creates a new product option set document.
   * @returns optionsRevisionDto OK
   * @throws ApiError
   */
  public static postApiProductOptionsRevision1({
    requestBody,
  }: {
    requestBody: createOptionsRevisionDto;
  }): CancelablePromise<optionsRevisionDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/product/options/revision",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the currently published product option set
   * @returns optionsViewDto OK
   * @throws ApiError
   */
  public static getApiProductOptionsRevisionPublished({
    optionsId,
  }: {
    optionsId: string;
  }): CancelablePromise<optionsViewDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/product/options/revision/published/{optionsId}",
      path: {
        optionsId: optionsId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get a specific revision
   * @returns optionsRevisionDto OK
   * @throws ApiError
   */
  public static getApiProductOptionsRevision({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<optionsRevisionDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/product/options/revision/{revisionId}",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Query filtered by options.
   * @returns QueryResultDto_OptionsRevisionDto_ OK
   * @throws ApiError
   */
  public static postApiProductOptionsRevisionQuery({
    requestBody,
  }: {
    requestBody: optionsQueryDto;
  }): CancelablePromise<QueryResultDto_OptionsRevisionDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/product/options/revision/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Publish the specified revision
   * @returns any OK
   * @throws ApiError
   */
  public static putApiProductOptionsRevisionPublish({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/product/options/revision/{revisionId}/publish",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Unpublish the specified revision
   * @returns any OK
   * @throws ApiError
   */
  public static putApiProductOptionsRevisionUnpublish({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/product/options/revision/{revisionId}/unpublish",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
