/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createProductRevisionDto } from "../models/createProductRevisionDto";
import type { productRevisionDto } from "../models/productRevisionDto";
import type { productRevisionQueryRequestDto } from "../models/productRevisionQueryRequestDto";
import type { QueryResultDto_ProductRevisionDto_ } from "../models/QueryResultDto_ProductRevisionDto_";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class ProductsRevisionsService {
  /**
   * Creates a revision of a product document.
   * @returns productRevisionDto OK
   * @throws ApiError
   */
  public static postApiProductRevision({
    productId,
    requestBody,
  }: {
    productId: string;
    requestBody: createProductRevisionDto;
  }): CancelablePromise<productRevisionDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/product/revision/{productId}",
      path: {
        productId: productId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the currently published product
   * @returns productRevisionDto OK
   * @throws ApiError
   */
  public static getApiProductRevisionPublished({
    productId,
  }: {
    productId: string;
  }): CancelablePromise<productRevisionDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/product/revision/published/{productId}",
      path: {
        productId: productId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get a specific revision
   * @returns productRevisionDto OK
   * @throws ApiError
   */
  public static getApiProductRevision({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<productRevisionDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/product/revision/{revisionId}",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Query revisions filtered by options.
   * @returns QueryResultDto_ProductRevisionDto_ OK
   * @throws ApiError
   */
  public static postApiProductRevisionQuery({
    requestBody,
  }: {
    requestBody: productRevisionQueryRequestDto;
  }): CancelablePromise<QueryResultDto_ProductRevisionDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/product/revision/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Publish the specified revision
   * @returns any OK
   * @throws ApiError
   */
  public static putApiProductRevisionPublish({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/product/revision/{revisionId}/publish",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Unpublish the specified revision
   * @returns any OK
   * @throws ApiError
   */
  public static putApiProductRevisionUnpublish({
    revisionId,
  }: {
    revisionId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/product/revision/{revisionId}/unpublish",
      path: {
        revisionId: revisionId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
