/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { systemSecurityDto } from "../models/systemSecurityDto";
import type { updatePermissionsRequest } from "../models/updatePermissionsRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class SecurityService {
  /**
   * Updates the system's permissions for a given role.
   * Permissions changes are stored as a form of 'audit' so that changes to the default permissions can be made safely.
   * For instance, if a site owner has removed a permission for a role, and the default permissions in the system are changed by developers, the site owner's changes will not be lost.
   * @returns any OK
   * @throws ApiError
   */
  public static putApiSecurityPermissions({
    requestBody,
  }: {
    requestBody: updatePermissionsRequest;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/security/permissions",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Lists the system's permissions and roles.
   * @returns systemSecurityDto OK
   * @throws ApiError
   */
  public static getApiSecuritySystem(): CancelablePromise<systemSecurityDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/security/system",
      errors: {
        400: `Bad Request`,
      },
    });
  }
}
