/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createSellerDto } from "../models/createSellerDto";
import type { QueryResultDto_SellerDto_ } from "../models/QueryResultDto_SellerDto_";
import type { sellerDto } from "../models/sellerDto";
import type { sellerOperationalStateDto } from "../models/sellerOperationalStateDto";
import type { sellerQueryRequestDto } from "../models/sellerQueryRequestDto";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class SellersCanonicalService {
  /**
   * Create a canonical seller entry.
   * @returns sellerDto OK
   * @throws ApiError
   */
  public static postApiSellerCanonical({
    requestBody,
  }: {
    requestBody: createSellerDto;
  }): CancelablePromise<sellerDto> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/seller/canonical",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Get the currently published document by publicKey
   * @returns sellerDto OK
   * @throws ApiError
   */
  public static getApiSellerCanonical({
    publicKey,
  }: {
    publicKey: string;
  }): CancelablePromise<sellerDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/canonical/{sellerKey}",
      query: {
        publicKey: publicKey,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Retrieve a canonical seller entry.
   * @returns sellerDto OK
   * @throws ApiError
   */
  public static getApiSellerCanonical1({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<sellerDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/canonical/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Update a canonical seller entry.
   * @returns any OK
   * @throws ApiError
   */
  public static putApiSellerCanonical({
    sellerId,
    requestBody,
  }: {
    sellerId: string;
    requestBody: createSellerDto;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/seller/canonical/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Delete a canonical seller entry.
   * @returns any OK
   * @throws ApiError
   */
  public static deleteApiSellerCanonical({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "DELETE",
      url: "/api/seller/canonical/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Query canonical seller data filtered by options.
   * @returns QueryResultDto_SellerDto_ OK
   * @throws ApiError
   */
  public static postApiSellerCanonicalQuery({
    requestBody,
  }: {
    requestBody: sellerQueryRequestDto;
  }): CancelablePromise<QueryResultDto_SellerDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/seller/canonical/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
  /**
   * Updates the open/closed state of a seller.
   * @returns sellerOperationalStateDto OK
   * @throws ApiError
   */
  public static putApiSellerCanonicalOpenState({
    sellerId,
    requestBody,
  }: {
    sellerId: string;
    requestBody: sellerOperationalStateDto;
  }): CancelablePromise<sellerOperationalStateDto> {
    return __request(OpenAPI, {
      method: "PUT",
      url: "/api/seller/canonical/open-state/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Gets the open/closed state of a seller.
   * @returns sellerOperationalStateDto OK
   * @throws ApiError
   */
  public static getApiSellerCanonicalOpenState({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<sellerOperationalStateDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/canonical/open-state/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
