/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { sellerCompositeDto } from "../models/sellerCompositeDto";
import type { sellerPublicAggregateFullDto } from "../models/sellerPublicAggregateFullDto";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class SellersViewsService {
  /**
   * Get the default published seller composite view
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerCompositeDto OK
   * @throws ApiError
   */
  public static getApiSellerComposite(): CancelablePromise<sellerCompositeDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/composite",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller composite view
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerCompositeDto OK
   * @throws ApiError
   */
  public static getApiSellerComposite1({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<sellerCompositeDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/composite/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller composite view by PublicKey
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerCompositeDto OK
   * @throws ApiError
   */
  public static getApiSellerComposite2({
    publicKey,
  }: {
    publicKey: string;
  }): CancelablePromise<sellerCompositeDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/composite/{sellerKey}",
      query: {
        publicKey: publicKey,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller aggregate full view
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerPublicAggregateFullDto OK
   * @throws ApiError
   */
  public static getApiSellerAggregateFull(): CancelablePromise<sellerPublicAggregateFullDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/aggregate/full",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller aggregate full view
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerPublicAggregateFullDto OK
   * @throws ApiError
   */
  public static getApiSellerAggregateFull1({
    sellerId,
  }: {
    sellerId: string;
  }): CancelablePromise<sellerPublicAggregateFullDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/aggregate/full/{sellerId}",
      path: {
        sellerId: sellerId,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller aggregate full view at scheduled time.
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerPublicAggregateFullDto OK
   * @throws ApiError
   */
  public static getApiSellerAggregateFull2({
    sellerId,
    utcUnixSeconds,
  }: {
    sellerId: string;
    utcUnixSeconds: number;
  }): CancelablePromise<sellerPublicAggregateFullDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/aggregate/full/{sellerId}/{utcUnixSeconds}",
      path: {
        sellerId: sellerId,
        utcUnixSeconds: utcUnixSeconds,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller aggregate full view by PublicKey.
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerPublicAggregateFullDto OK
   * @throws ApiError
   */
  public static getApiSellerAggregateFull3({
    publicKey,
  }: {
    publicKey: string;
  }): CancelablePromise<sellerPublicAggregateFullDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/aggregate/full/{publicKey}",
      path: {
        publicKey: publicKey,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get the published seller aggregate full view by PublicKey at scheduled time.
   * This view combines the canonical, revision and text models into a single view model.
   * @returns sellerPublicAggregateFullDto OK
   * @throws ApiError
   */
  public static getApiSellerAggregateFull4({
    publicKey,
    utcUnixSeconds,
  }: {
    publicKey: string;
    utcUnixSeconds: number;
  }): CancelablePromise<sellerPublicAggregateFullDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/seller/aggregate/full/{publicKey}/{utcUnixSeconds}",
      path: {
        publicKey: publicKey,
        utcUnixSeconds: utcUnixSeconds,
      },
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
}
