/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class ServerSideEventsService {
  /**
   * Returns a specific order's event stream.
   * Requires any form of public key authentication.
   * @returns any OK
   * @throws ApiError
   */
  public static getEventsOrders({
    orderId,
  }: {
    orderId: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/events/orders/{orderId}",
      path: {
        orderId: orderId,
      },
      errors: {
        400: `Bad Request`,
        403: `Forbidden`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Returns an order event stream
   * Requires any form of public key authentication.
   * @returns any OK
   * @throws ApiError
   */
  public static getEventsOrders1(): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/events/orders",
      errors: {
        400: `Bad Request`,
        403: `Forbidden`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Opens a private event stream
   * This endpoint will open a private event stream for the authenticated user.
   * All events that the user has permission to see will be sent to this stream.
   * @returns any OK
   * @throws ApiError
   */
  public static getEventsStream({
    options,
  }: {
    /**
     * Options allow for different subscription types
     */
    options?: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/events/stream",
      query: {
        options: options,
      },
      errors: {
        401: `Unauthorized`,
      },
    });
  }
  /**
   * Opens a private event stream for a user
   * Only users with the Admin role can open streams for other users.
   * @returns any OK
   * @throws ApiError
   */
  public static getEventsStream1({
    userId,
    options,
  }: {
    userId: string;
    /**
     * Options allow for different subscription types
     */
    options?: string;
  }): CancelablePromise<any> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/events/stream/{userId}",
      path: {
        userId: userId,
      },
      query: {
        options: options,
      },
      errors: {
        401: `Unauthorized`,
        403: `Forbidden`,
      },
    });
  }
}
