/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { QueryResultDto_UserDto_ } from "../models/QueryResultDto_UserDto_";
import type { rolePermissionsDto } from "../models/rolePermissionsDto";
import type { userDto } from "../models/userDto";
import type { userQueryRequest } from "../models/userQueryRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
import { OpenAPI } from "../core/OpenAPI";
import { request as __request } from "../core/request";
export class UserService {
  /**
   * Get the currently authenticated user
   * @returns userDto OK
   * @throws ApiError
   */
  public static getApiUser(): CancelablePromise<userDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/user",
      errors: {
        400: `Bad Request`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get a user by their ID
   * You may only retrieve information about yourself or users you have permission to view. Admins can view all users.
   * @returns userDto OK
   * @throws ApiError
   */
  public static getApiUser1({
    userId,
  }: {
    userId: string;
  }): CancelablePromise<userDto> {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/user/{userId}",
      path: {
        userId: userId,
      },
      errors: {
        400: `Bad Request`,
        403: `Forbidden`,
        404: `Not Found`,
      },
    });
  }
  /**
   * Get user's current permissions
   * This endpoint will return a list of roles and their associated permissions for the currently authenticated user.
   * @returns rolePermissionsDto OK
   * @throws ApiError
   */
  public static getApiUserPermissions(): CancelablePromise<
    Array<rolePermissionsDto>
  > {
    return __request(OpenAPI, {
      method: "GET",
      url: "/api/user/permissions",
      errors: {
        404: `Not Found`,
      },
    });
  }
  /**
   * Query users
   * This endpoint will return a list of users based on the query parameters provided.
   * @returns QueryResultDto_UserDto_ OK
   * @throws ApiError
   */
  public static postApiUserQuery({
    requestBody,
  }: {
    requestBody: userQueryRequest;
  }): CancelablePromise<QueryResultDto_UserDto_> {
    return __request(OpenAPI, {
      method: "POST",
      url: "/api/user/query",
      body: requestBody,
      mediaType: "application/json",
      errors: {
        400: `Bad Request`,
      },
    });
  }
}
