// API Request Options
export interface ApiRequestOptions {
  headers?: Record<string, string>;
  method?: string;
  body?: any;
}

// API Response Type
export interface ApiResponse<T = any> extends Response {
  json(): Promise<T>;
}

// API Service Interface
export interface ApiService {
  fetchWithAuth: <T = any>(
    url: string,
    options?: ApiRequestOptions,
  ) => Promise<ApiResponse<T>>;
  get: <T = any>(
    url: string,
    options?: ApiRequestOptions,
  ) => Promise<ApiResponse<T>>;
  post: <T = any>(
    url: string,
    data?: any,
    options?: ApiRequestOptions,
  ) => Promise<ApiResponse<T>>;
  put: <T = any>(
    url: string,
    data?: any,
    options?: ApiRequestOptions,
  ) => Promise<ApiResponse<T>>;
  delete: <T = any>(
    url: string,
    options?: ApiRequestOptions,
  ) => Promise<ApiResponse<T>>;
}
