import { clsx } from "clsx";
import { twMerge } from "tailwind-merge";

/**
 * Combines multiple class names and resolves Tailwind CSS conflicts
 * @param {...string} inputs - Class names to combine
 * @returns {string} - Merged class names with conflicts resolved
 */
export function cn(...inputs) {
  return twMerge(clsx(inputs));
}
