/**
 * Font utility functions and constants
 */

// Font weight constants for Inter font
export const FONT_WEIGHTS = {
  light: 300,
  regular: 400,
  medium: 500,
  semiBold: 600,
  bold: 700,
};

// Font family constants
export const FONT_FAMILIES = {
  sans: 'Inter, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif',
  mono: 'ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace',
};

/**
 * Creates a font style string with the specified weight
 * @param {number} weight - Font weight (use FONT_WEIGHTS constants)
 * @returns {string} CSS font style string
 */
export const getFontStyle = (weight = FONT_WEIGHTS.regular) => {
  return `
    font-family: ${FONT_FAMILIES.sans};
    font-weight: ${weight};
  `;
};
