// Global type declarations

// Extend Window interface to include appConfig and ENV
interface Window {
  appConfig?: {
    apiUrl?: string;
    basePath?: string;
    appName?: string;
    debug?: boolean;
    mapTileEndpoint?: string;
    mapTileApiKey?: string;
    oidcAuthority?: string;
    oidcClientId?: string;
    [key: string]: string | boolean | undefined;
  };

  // Runtime environment variables (legacy)
  ENV?: {
    [key: string]: string;
  };
}

// Declare environment variables
interface ImportMetaEnv {
  // Legacy variables
  CLIENT_API_URL?: string;

  // CLIENT_ environment variables
  CLIENT__BASE_PATH?: string;
  CLIENT__API_URL?: string;
  CLIENT__APP_NAME?: string;
  CLIENT__DEBUG?: string;
  CLIENT__OIDC_AUTHORITY?: string;
  CLIENT__OIDC_CLIENT_ID?: string;
  CLIENT__MAP_TILE_ENDPOINT?: string;
  CLIENT__MAP_TILE_API_KEY?: string;

  // Allow any other environment variables
  [key: string]: string | undefined;
}

// Extend ImportMeta interface
interface ImportMeta {
  env: ImportMetaEnv;
}
