"use client";

import { useState } from "react";

export default function Switch({ id, className = "", ...props }) {
  const [checked, setChecked] = useState(false);

  const handleChange = (e) => {
    setChecked(e.target.checked);
    if (props.onChange) {
      props.onChange(e);
    }
  };

  return (
    <div className="flex items-center">
      <input
        type="checkbox"
        id={id}
        className="sr-only"
        checked={props.checked !== undefined ? props.checked : checked}
        onChange={handleChange}
        {...props}
      />
      <label
        htmlFor={id}
        className={`relative inline-flex h-5 w-10 cursor-pointer items-center rounded-full transition-colors ${
          (props.checked !== undefined ? props.checked : checked)
            ? "bg-primary"
            : "bg-accent"
        } ${className}`}
      >
        <span
          className={`inline-block h-4 w-4 transform rounded-full bg-white transition-transform ${
            (props.checked !== undefined ? props.checked : checked)
              ? "translate-x-5"
              : "translate-x-1"
          }`}
        />
      </label>
    </div>
  );
}
