import React from "react";
import { cn } from "@shared/lib/cn";

const TimeRangePicker = ({
  startTime,
  endTime,
  onChange,
  className,
  ...props
}) => {
  return (
    <div className={cn("flex items-center gap-2", className)} {...props}>
      <input
        type="text"
        value={startTime}
        onChange={(e) => onChange(e.target.value, endTime)}
        className="flex-1 p-2 bg-muted border border-input rounded-md text-center"
      />
      <span>-</span>
      <input
        type="text"
        value={endTime}
        onChange={(e) => onChange(startTime, e.target.value)}
        className="flex-1 p-2 bg-muted border border-input rounded-md text-center"
      />
    </div>
  );
};

export default TimeRangePicker;
